﻿using System;
using System.Drawing;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Style divStyle = new Style();

            divStyle.ForeColor   = Color.Blue;
            divStyle.Font.Name   = "나눔고딕코딩";
            divStyle.Font.Size   = 10;
            divStyle.Font.Italic = true;

            Page.Header.StyleSheet.CreateStyleRule(divStyle, null, "body, div");

            Style buttonStyle = new Style();

            buttonStyle.ForeColor = Color.Navy;
            buttonStyle.Font.Name = "나눔고딕코딩";
            buttonStyle.Font.Size = 12;

            Page.Header.StyleSheet.RegisterStyle(buttonStyle, null);

            this.button1.CssClass   = buttonStyle.RegisteredCssClass;
            this.button2.CssClass = buttonStyle.RegisteredCssClass;
        }

        #endregion
    }
}